package org.ow2.xplus.cache;

import java.io.Serializable;

import javax.persistence.CascadeType;

import org.ow2.xplus.broker.PersistenceManager;
import org.ow2.xplus.metadata.object.ClassMetaData;

public class DeepCopy {
	 private ClassMetaData classMetaData;
	 private PersistenceManager pm;
	 
	 public DeepCopy(ClassMetaData classMetaData,PersistenceManager pm){
		 this.classMetaData = classMetaData;
		 this.pm = pm;
	 }
	 
	 public Object deepCopy(Object entity){
//		 if(entity instanceof Serializable)
//		 {
//			 return PipedDeepCopy.copy(entity);
//		 }
		 RecursiveClassCopy copy = new RecursiveClassCopy(classMetaData,pm);
		 copy.setCascade(CascadeType.ALL);
		 return copy.genCopy(entity);
	 }
}
