/* -------------------------------------------------------------------------*
 * PKUAS: Peking University Application Server
 * Copyright (C) 2006 Peking University
 *
 * This software is free; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * either version 2.1 or any later version.
 * 
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 * ------------------------------------------------------------------------*/

package org.ow2.xplus.descriptor;

/**
 * @author Lin Liang
 */

public class DescriptorTag {

    public static String DATABASE = "database";

    public static String NAME = "name";

    public static String HEAVYINDEXING = "heavyIndexing";

    public static String TABLE = "table";

    public static String DECRIPTION = "description";

    public static String COLUMN = "column";

    public static String AUTOINCREMENT = "autoIncrement";

    public static String FOREIGNKEY = "foreign-key";

    public static String INDEX = "index";

    public static String UNIQUE = "unique";

    public static String PRIMARYKEY = "primaryKey";

    public static String REQUIRED = "required";

    public static String TYPE = "type";

    public static String SIZE = "size";

    public static String DEFAULTVALUE = "defaultValue";

    public static String INHERITANCE = "inheritance";

    public static String FOREIGNTABLE = "foreignTable";

    public static String REFERENCE = "reference";

    public static String LOCAL = "local";

    public static String FOREIGN = "foreign";

    public static String INDEXCOLUMN = "index-column";

    public static String UNIQUECOLUMN = "unique-column";
    /*
     * public static String RELATIONTABLE ="relation-table"; public static
     * String SOURCEREFERENCE = "source-reference"; public static String
     * TARGETREFERENCE = "target-reference"; public static String SECONDARYTABLE =
     * "secondary-table";
     */

}
