/* -------------------------------------------------------------------------*
 * PKUAS: Peking University Application Server
 * Copyright (C) 2006 Peking University
 *
 * This software is free; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * either version 2.1 or any later version.
 * 
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 * ------------------------------------------------------------------------*/

package org.ow2.xplus.exception;

/**
 * This exception is used for any problem that is detected with a descriptor or
 * mapping.
 * @author Lin Liang
 */

@SuppressWarnings("serial")
public class MappingException extends PkuPersistenceException {

    public static final int CLASS_NOT_FOUND_ERROR = 201;

    public static final int MAPIING_FILE_NOT_FOUND_ERROR = 202;

    public static final int CLASS_NOT_EMBEDDABLE = 203;

    public static final int COLLECTION_IN_EMBEDDABLE = 204;

    public MappingException(Throwable cause, int errorCode) {
        super(cause, errorCode);
    }

    public MappingException(String message, int errorCode) {
        super(message, errorCode);
    }
}
