/* -------------------------------------------------------------------------*
 * PKUAS: Peking University Application Server
 * Copyright (C) 2006 Peking University
 *
 * This software is free; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * either version 2.1 or any later version.
 * 
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 * ------------------------------------------------------------------------*/

package org.ow2.xplus.exception;

/**
 * any exception that occurred through deploying the unit
 * @author Lin Liang
 */

@SuppressWarnings("serial")
public class UnitDeployingException extends PkuPersistenceException {

    public static final int UNIT_NOT_EXISTED_ERROR = 100;

    public static final int UNPACKING_ERROR = 101;

    public static final int PROCESSING_UNIT_ERROR = 102;

    public static final int PERSISTENCE_XML_NOT_FONUD_ERROR = 103;

    public static final int PERSISTENCE_XML_PARSING_ERROR = 104;

    public static final int PERSISTENCE_CLASS_NOT_FOUND_ERROR = 105;

    public UnitDeployingException(Throwable cause, int errorCode) {
        super(cause, errorCode);
    }

    public UnitDeployingException(String message, int errorCode) {
        super(message, errorCode);
    }

}
