package org.ow2.xplus.cache;

import pku.as.cache.Cache;
import pku.as.cache.CacheFactory;
import org.ow2.xplus.setting.CacheConfigInfo;

public class CacheGenerate {
	 
	private String  cacheStrategy;
	private String cacheType;
	private Cache cache=null;
	private CacheFactory cacheFactory;
	private CacheConfigInfo info;
	
	public CacheGenerate(CacheConfigInfo info){
		 this.info = info;
		 this.cacheStrategy = info.getCacheConcurrencyStrategy();
		 this.cacheType = info.getCacheType();
	}
	
	/**
     * added by yf
     * construct the second level cache
     */
	public void createCacheFactory(){
		this.cacheFactory=new CacheFactory();
	}

	public void setConcurrencyStrategy(String concurrencyStrategy){
		this.cacheStrategy = concurrencyStrategy ;
	}

	public String getConcurrencyStrategy(){
		return this.cacheStrategy;
	}
	public CacheFactory getCacheFactory(){
		return this.cacheFactory;
	}
	
	public void setCacheType(String cacheType){
		this.cacheType = cacheType;
	}
	public String getCacheType(){
		return this.cacheType;
	}
	
	public Cache createSecondLevelCache(){
		createCacheFactory();
		cache=cacheFactory.createCache(cacheStrategy, cacheType);
		return cache;
	}
}
