/* -------------------------------------------------------------------------*
 * PKUAS: Peking University Application Server
 * Copyright (C) 2006 Peking University
 *
 * This software is free; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * either version 2.1 or any later version.
 * 
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 * ------------------------------------------------------------------------*/

package org.ow2.xplus.logger.pluggin;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * @author Lin Liang
 */

public class ApacheLogger implements org.ow2.xplus.logger.Logger {

    private Log logger;

    public ApacheLogger(Class clazz) {
        logger = LogFactory.getLog(clazz);
    }

    public void debug(String s) {
        logger.debug(s);
    }

    public void error(String s) {
        logger.error(s);
    }

    public void info(String s) {
        logger.info(s);
    }

    public void warning(String s) {
        logger.warn(s);
    }

}
