/* -------------------------------------------------------------------------*
 * PKUAS: Peking University Application Server
 * Copyright (C) 2006 Peking University
 *
 * This software is free; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * either version 2.1 or any later version.
 * 
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 * ------------------------------------------------------------------------*/

package org.ow2.xplus.metadata.relational;

import org.ow2.xplus.metadata.strategy.DiscriminatorStrategy;

/**
 * @author Lin Liang
 */

public class RdbDiscriminator {
    /**
     * Strategy uesd for discriminator
     */
    private DiscriminatorStrategy discriminatorStrategy;

    /**
     * The name of column to be used for the discriminator
     */
    private String discriminatorColumnName;

    public RdbDiscriminator() {
    }

    public String getDiscriminatorColumnName() {
        return discriminatorColumnName;
    }

    public void setDiscriminatorColumnName(String discriminatorColumnName) {
        this.discriminatorColumnName = discriminatorColumnName;
    }

    public DiscriminatorStrategy getDiscriminatorStrategy() {
        return discriminatorStrategy;
    }

    public void setDiscriminatorStrategy(DiscriminatorStrategy discriminatorStrategy) {
        this.discriminatorStrategy = discriminatorStrategy;
    }

    public Object getValue(String className) {
        return discriminatorStrategy.getValue(className);
    }
}
