/* -------------------------------------------------------------------------*
 * PKUAS: Peking University Application Server
 * Copyright (C) 2006 Peking University
 *
 * This software is free; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * either version 2.1 or any later version.
 * 
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 * ------------------------------------------------------------------------*/

package org.ow2.xplus.metadata.strategy.value;

/**
 * @author Lin Liang
 */

public class LobValueStrategy extends AbstractValueStrategy {

    private Class classifyClass(Class clazz) {
        if (clazz.equals(String.class) || clazz.equals(char[].class) || clazz.equals(Character[].class)
                || clazz.equals(java.sql.Clob.class)) {
            return java.sql.Clob.class;
        }
        return java.sql.Blob.class;
    }

    public void setDataType(Class valueType) {
        this.dataType = classifyClass(valueType);
    }

}
