// $ANTLR : "ejbql.g" -> "EJBQLParser.java"$

package org.ow2.xplus.query.ejbql.antlr;

import java.util.ArrayList;
import java.util.List;

import org.ow2.xplus.query.ejbql.tree.Node;
import org.ow2.xplus.query.ejbql.tree.QueryNode;
import org.ow2.xplus.query.ejbql.NodeFactory;

public interface EJBQLTokenTypes {
	int EOF = 1;
	int NULL_TREE_LOOKAHEAD = 3;
	int ABS = 4;
	int ALL = 5;
	int AND = 6;
	int ANY = 7;
	int AS = 8;
	int ASC = 9;
	int AVG = 10;
	int BETWEEN = 11;
	int BOTH = 12;
	int BY = 13;
	int CONCAT = 14;
	int COUNT = 15;
	int CURRENT_DATE = 16;
	int CURRENT_TIME = 17;
	int CURRENT_TIMESTAMP = 18;
	int DESC = 19;
	int DELETE = 20;
	int DISTINCT = 21;
	int EMPTY = 22;
	int ESCAPE = 23;
	int EXISTS = 24;
	int FALSE = 25;
	int FETCH = 26;
	int FROM = 27;
	int GROUP = 28;
	int HAVING = 29;
	int IN = 30;
	int INNER = 31;
	int IS = 32;
	int JOIN = 33;
	int LEADING = 34;
	int LEFT = 35;
	int LENGTH = 36;
	int LIKE = 37;
	int LOCATE = 38;
	int LOWER = 39;
	int MAX = 40;
	int MEMBER = 41;
	int MIN = 42;
	int MOD = 43;
	int NEW = 44;
	int NOT = 45;
	int NULL = 46;
	int OBJECT = 47;
	int OF = 48;
	int OR = 49;
	int ORDER = 50;
	int OUTER = 51;
	int SELECT = 52;
	int SET = 53;
	int SIZE = 54;
	int SQRT = 55;
	int SOME = 56;
	int SUBSTRING = 57;
	int SUM = 58;
	int TRAILING = 59;
	int TRIM = 60;
	int TRUE = 61;
	int UNKNOWN = 62;
	int UPDATE = 63;
	int UPPER = 64;
	int WHERE = 65;
	int COMMA = 66;
	int IDENT = 67;
	int DOT = 68;
	int LEFT_ROUND_BRACKET = 69;
	int RIGHT_ROUND_BRACKET = 70;
	int EQUALS = 71;
	int NUM_INT = 72;
	int NUM_FLOAT = 73;
	int STRING_LITERAL_DOUBLE_QUOTED = 74;
	int STRING_LITERAL_SINGLE_QUOTED = 75;
	int NOT_EQUAL_TO = 76;
	int GREATER_THAN = 77;
	int GREATER_THAN_EQUAL_TO = 78;
	int LESS_THAN = 79;
	int LESS_THAN_EQUAL_TO = 80;
	int PLUS = 81;
	int MINUS = 82;
	int MULTIPLY = 83;
	int DIVIDE = 84;
	int POSITIONAL_PARAM = 85;
	int NAMED_PARAM = 86;
	int HEX_DIGIT = 87;
	int WS = 88;
	int TEXTCHAR = 89;
	int EXPONENT = 90;
	int FLOAT_SUFFIX = 91;
	int ESC = 92;
}
